Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(778)

Issue 110580043: code review 110580043: runtime: add fast paths to non-blocking channel operations (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
6 years, 3 months ago by dvyukov
Modified:
6 years, 2 months ago
Reviewers:
gobot, rsc
CC:
golang-codereviews, rsc, dfc
Visibility:
Public.

Description

runtime: add fast paths to non-blocking channel operations benchmark old ns/op new ns/op delta BenchmarkChanNonblocking 27.8 7.80 -71.94% BenchmarkChanNonblocking-2 79.1 3.94 -95.02% BenchmarkChanNonblocking-4 71.2 2.04 -97.13%

Patch Set 1 #

Patch Set 2 : diff -r 67f9ef140028 https://dvyukov%40google.com@code.google.com/p/go/ #

Patch Set 3 : diff -r 67f9ef140028 https://dvyukov%40google.com@code.google.com/p/go/ #

Patch Set 4 : diff -r 67f9ef140028 https://dvyukov%40google.com@code.google.com/p/go/ #

Total comments: 1

Patch Set 5 : diff -r 9562b65a3c51 https://dvyukov%40google.com@code.google.com/p/go/ #

Patch Set 6 : diff -r 9562b65a3c51 https://dvyukov%40google.com@code.google.com/p/go/ #

Patch Set 7 : diff -r 9562b65a3c51 https://dvyukov%40google.com@code.google.com/p/go/ #

Patch Set 8 : diff -r 9562b65a3c51 https://dvyukov%40google.com@code.google.com/p/go/ #

Patch Set 9 : diff -r bebfeba1e59da4d4570048e941743ae2452690d9 https://dvyukov%40google.com@code.google.com/p/go/ #

Patch Set 10 : diff -r bebfeba1e59da4d4570048e941743ae2452690d9 https://dvyukov%40google.com@code.google.com/p/go/ #

Total comments: 10

Patch Set 11 : diff -r f0b358f1d9727e8d0e2e1da848c2fa381e815341 https://dvyukov%40google.com@code.google.com/p/go/ #

Patch Set 12 : diff -r f0b358f1d9727e8d0e2e1da848c2fa381e815341 https://dvyukov%40google.com@code.google.com/p/go/ #

Unified diffs Side-by-side diffs Delta from patch set Stats (+84 lines, -8 lines) Patch
M src/pkg/runtime/chan.h View 1 2 3 4 5 6 7 8 1 chunk +1 line, -1 line 0 comments Download
M src/pkg/runtime/chan.go View 1 2 3 4 5 6 7 8 9 10 1 chunk +25 lines, -5 lines 0 comments Download
M src/pkg/runtime/chan.goc View 1 2 3 4 5 6 7 8 9 10 3 chunks +38 lines, -2 lines 0 comments Download
M src/pkg/runtime/chan_test.go View 1 2 3 4 5 6 7 8 9 10 1 chunk +20 lines, -0 lines 0 comments Download

Messages

Total messages: 13
dvyukov
Hello golang-codereviews@googlegroups.com, I'd like you to review this change to https://dvyukov%40google.com@code.google.com/p/go/
6 years, 3 months ago (2014-07-14 11:53:19 UTC) #1
rsc
https://codereview.appspot.com/110580043/diff/40001/src/pkg/runtime/chan.goc File src/pkg/runtime/chan.goc (right): https://codereview.appspot.com/110580043/diff/40001/src/pkg/runtime/chan.goc#newcode234 src/pkg/runtime/chan.goc:234: if(!block && !c->closed && ((c->dataqsiz == 0 && c->sendq.first ...
6 years, 3 months ago (2014-07-16 11:40:52 UTC) #2
dvyukov
On 2014/07/16 11:40:52, rsc wrote: > https://codereview.appspot.com/110580043/diff/40001/src/pkg/runtime/chan.goc > File src/pkg/runtime/chan.goc (right): > > https://codereview.appspot.com/110580043/diff/40001/src/pkg/runtime/chan.goc#newcode234 > ...
6 years, 3 months ago (2014-07-16 13:50:32 UTC) #3
dfc
On 2014/07/16 11:40:52, rsc wrote: > https://codereview.appspot.com/110580043/diff/40001/src/pkg/runtime/chan.goc > File src/pkg/runtime/chan.goc (right): > > https://codereview.appspot.com/110580043/diff/40001/src/pkg/runtime/chan.goc#newcode234 > ...
6 years, 3 months ago (2014-07-16 13:53:55 UTC) #4
dvyukov
I've added the special test that triggers the race to this change. I would run ...
6 years, 3 months ago (2014-07-16 13:56:17 UTC) #5
dvyukov
On 2014/07/16 13:50:32, dvyukov wrote: > On 2014/07/16 11:40:52, rsc wrote: > > https://codereview.appspot.com/110580043/diff/40001/src/pkg/runtime/chan.goc > ...
6 years, 3 months ago (2014-07-16 14:17:00 UTC) #6
dvyukov
On 2014/07/16 14:17:00, dvyukov wrote: > On 2014/07/16 13:50:32, dvyukov wrote: > > On 2014/07/16 ...
6 years, 2 months ago (2014-08-05 18:31:15 UTC) #7
dvyukov
ping
6 years, 2 months ago (2014-08-12 20:35:24 UTC) #8
dvyukov
I've updated the CL after Keith changes.
6 years, 2 months ago (2014-08-24 16:46:47 UTC) #9
rsc
LGTM https://codereview.appspot.com/110580043/diff/160001/src/pkg/runtime/chan.go File src/pkg/runtime/chan.go (right): https://codereview.appspot.com/110580043/diff/160001/src/pkg/runtime/chan.go#newcode105 src/pkg/runtime/chan.go:105: // Fast path: if it's a non-blocking operation ...
6 years, 2 months ago (2014-08-25 00:26:45 UTC) #10
dvyukov
https://codereview.appspot.com/110580043/diff/160001/src/pkg/runtime/chan.go File src/pkg/runtime/chan.go (right): https://codereview.appspot.com/110580043/diff/160001/src/pkg/runtime/chan.go#newcode105 src/pkg/runtime/chan.go:105: // Fast path: if it's a non-blocking operation that ...
6 years, 2 months ago (2014-08-25 07:53:38 UTC) #11
dvyukov
*** Submitted as https://code.google.com/p/go/source/detail?r=ab81254ccaec *** runtime: add fast paths to non-blocking channel operations benchmark old ...
6 years, 2 months ago (2014-08-25 07:55:44 UTC) #12
gobot
6 years, 2 months ago (2014-08-25 07:59:13 UTC) #13
Message was sent while issue was closed.
This CL appears to have broken the netbsd-386-minux builder.
See http://build.golang.org/log/def8df63b778f986b9d938b03e27ff3610ca14b7
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b